Bug 5861 - не хватает зависимости на cups-common
: не хватает зависимости на cups-common
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-11 17:57 by
Modified: 2007-02-21 13:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-11 17:57:56
При запуске oowriter из консоли происходит такая ошибка:
$ oowriter
sh: line 1: /usr/sbin/lpc: No such file or directory
sh: line 1: lpc: command not found
sh: line 1: lpstat: command not found

программа /usr/sbin/lpc находится в пакете cups-common. Но в завимостях у
openoffice.org этого пакета нет.
------- Comment #1 From 2005-01-19 07:11:00 -------
Вообще-то не нужна эта зависимость. Ну нет cups, OOo-то работает. А печатать,
возможно, никто и не собирается.
------- Comment #2 From 2005-01-25 00:28:17 -------
Я склонен этот bug bug'ом не считать и закрыть его.
------- Comment #3 From 2005-02-14 21:55:32 -------
So it is closed.
------- Comment #4 From 2005-07-18 20:40:13 -------
Ошибок при работе быть не должно. Тогда из скрипта oowriter нужно убрать вызовы
программ из чужого пакета. Ну или хотябы поставить проверку на их
существование.
------- Comment #5 From 2006-08-16 21:23:41 -------
пакета cups-common уже нет...
------- Comment #6 From 2007-02-17 11:42:49 -------
reassign
------- Comment #7 From 2007-02-17 11:45:41 -------
Сейчас:
- на дворе openoffice.org-2.1.0
- cups-common и впрямь не существует
- при запуске этого мусора нет
=> fixed, хотя и не добавлением ненужной зависимости. (хотя и нетяжёлой, полметра)